org.springframework.validation

## Class ObjectError

- java.lang.Object
- - org.springframework.context.support.DefaultMessageSourceResolvable
  - - org.springframework.validation.ObjectError

All Implemented Interfaces:
  Serializable, MessageSourceResolvable

Direct Known Subclasses:
  FieldError

    public class ObjectError
    extends DefaultMessageSourceResolvable

Encapsulates an object error, that is, a global reason for rejecting an object.

See the `DefaultMessageCodesResolver` javadoc for details on how a message code list is built for an `ObjectError`.

Since:
  10.03.2003
Author:
  Juergen Hoeller
See Also:
  `FieldError`, `DefaultMessageCodesResolver`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ObjectError(String objectName, String defaultMessage)` Create a new instance of the ObjectError class.
`ObjectError(String objectName, String[] codes, Object[] arguments, String defaultMessage)` Create a new instance of the ObjectError class.

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getObjectName()` Return the name of the affected object.
`int` `hashCode()`
`String` `toString()` Default implementation exposes the attributes of this MessageSourceResolvable.

### Methods inherited from class org.springframework.context.support.DefaultMessageSourceResolvable

`getArguments, getCode, getCodes, getDefaultMessage, resolvableToString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectError

    public ObjectError(String objectName,
               String defaultMessage)

Create a new instance of the ObjectError class.

Parameters:
  `objectName` - the name of the affected object
  `defaultMessage` - the default message to be used to resolve this message

#### ObjectError

    public ObjectError(String objectName,
               String[] codes,
               Object[] arguments,
               String defaultMessage)

Create a new instance of the ObjectError class.

Parameters:
  `objectName` - the name of the affected object
  `codes` - the codes to be used to resolve this message
  `arguments` - the array of arguments to be used to resolve this message
  `defaultMessage` - the default message to be used to resolve this message

### Method Detail

#### getObjectName

    public String getObjectName()

Return the name of the affected object.

#### toString

    public String toString()

Description copied from class: `DefaultMessageSourceResolvable`
Default implementation exposes the attributes of this MessageSourceResolvable. To be overridden in more specific subclasses, potentially including the resolvable content through `resolvableToString()`.

Overrides:
  `toString` in class `DefaultMessageSourceResolvable`
See Also:
  `DefaultMessageSourceResolvable.resolvableToString()`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `DefaultMessageSourceResolvable`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `DefaultMessageSourceResolvable`